=== client/Makefile ===

# Makefile for database client

-include ../make_vars.txt
include ../make_stuff.txt

CXXFLAGS += -DQT3_SUPPORT $(QTINCDIRS) -I../vbview

VBVIEW_OBJECTS=../vbview/vbview.o ../vbview/vbview_ts.o ../vbview/vbview_layers.o ../vbview/vbview_render.o ../vbview/vbview_io.o ../vbview/vbqt_masker.o ../vbview/vbqt_canvas.o ../vbview/vbqt_glmselect.o ../vbview/vbqt_scalewidget.o
LIBS=$(LDFLAGS) $(LIBDIRS) $(QTLIBDIRS)  $(VBVIEW_OBJECTS) $(QTLIBS) -lvbprefs -lvbglm -lvbio -lvbutil -lz -lm -lpng -ldl -lgnutls-extra -lgnutls -lgcrypt -lgpg-error -ldbutil -lgsl -lgslcblas -ldb_cxx

W_OBJECTS=dbqscorebox.o dbqlineedit.o dbqimage.o dbqcombo.o dbqtimedate.o dbqtextedit.o dbqstub.o dbview.o dbclient.o dbqbrain.o dbdialogs.o dbmainwindow.o

ALLBINS=rundb

ifeq ($(VB_TARGET),all)
	BINS=rundb
else ifeq ($(VB_TARGET),db)
	BINS=rundb
else
	BINS=
endif

ifdef VB_NOX
  BINS=
endif

all: $(BINS)

install:
	echo "Not yet!"

clean:
	rm -rf $(CLEANME) $(ALLBINS)

# executables

rundb : $(W_OBJECTS) newmain.cpp rsrc.cpp
	$(CXX) $(CXXFLAGS) newmain.cpp rsrc.cpp $(W_OBJECTS) -o rundb $(LIBS)

test : $(W_OBJECTS) test.cpp rsrc.cpp
	$(CXX) $(CXXFLAGS) test.cpp rsrc.cpp $(W_OBJECTS) -o test $(LIBS)

test2 : test2.cpp rsrc.cpp
	$(CXX) $(CXXFLAGS) test2.cpp rsrc.cpp -o test2 $(LIBS)

#LOGIN_OBJS = addUser.o qt_login.o main.o moc_addUser.o moc_qt_login.o
#UIC = /usr/local/qt4/bin/uic
#UI_FILES = ui_qt_login.h ui_addUser.h ui_main.h ui_edit_record.h ui_admin_user.h

#qt_login: $(UI_FILES) $(LOGIN_OBJS) $(W_OBJECTS)
#	$(CXX) -o qt_login $(LOGIN_OBJS) $(W_OBJECTS) $(LIBS)

#connx2srv: connx2srv.o dbclient.o 
#	$(CXX) -o connx2srv connx2srv.o dbclient.o $(LIBDIRS) -lgnutls-extra -lgnutls -lgcrypt -lgpg-error -ldbutil -lvbio -lvbprefs -lvbutil -lgsl -lgslcblas -ldb_cxx -lz -lpthread

# all my pattern rules

%.moc.h : %.h
	$(MOC) $< -o $@

rsrc.cpp : client.qrc
	$(RCC) client.qrc -o rsrc.cpp

dbmainwindow.o : dbmainwindow.cpp dbmainwindow.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbdialogs.o : dbdialogs.cpp dbdialogs.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqlineedit.o : dbqlineedit.cpp dbqlineedit.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqimage.o : dbqimage.cpp dbqimage.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqbrain.o : dbqbrain.cpp dbqbrain.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqtextedit.o : dbqtextedit.cpp dbqtextedit.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqcombo.o : dbqcombo.cpp dbqcombo.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqscorebox.o : dbqscorebox.cpp dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqstub.o : dbqstub.cpp dbqstub.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbqtimedate.o : dbqtimedate.cpp dbqtimedate.moc.h dbqscorebox.moc.h
	$(CXX) -c $< $(CXXFLAGS)

dbview.o : dbview.cpp dbview.moc.h
	$(CXX) -c $< $(CXXFLAGS)

# added by Dongbo
#moc_addUser.cpp: ui_addUser.h addUser.h
#	$(MOC) addUser.h -o moc_addUser.cpp

#moc_qt_login.cpp: $(UI_FILES) searchPatient.h addUser.h ui_addUser.h dbclient.h qt_login.h
#	$(MOC) $(DEFINES) $(INCPATH) qt_login.h -o moc_qt_login.cpp

moc_searchPatient.cpp: searchPatient.h
	$(MOC) $(DEFINES) $(INCPATH) searchPatient.h -o moc_searchPatient.cpp

#ui_addUser.h: addUser.ui
#	$(UIC) addUser.ui -o ui_addUser.h

#ui_admin_user.h: admin_user.ui
#	$(UIC) admin_user.ui -o ui_admin_user.h

#ui_qt_login.h: qt_login.ui
#	$(UIC) qt_login.ui -o ui_qt_login.h

#ui_edit_record.h: edit_record.ui
#	$(UIC) edit_record.ui -o ui_edit_record.h

#ui_main.h: main.ui
#	$(UIC) main.ui -o ui_main.h

#addUser.o: addUser.cpp addUser.h ui_addUser.h
#	$(CXX) -c $< $(CXXFLAGS)

#qt_login.o: qt_login.cpp qt_login.h $(UI_FILES) searchPatient.h addUser.h dbclient.h
#	$(CXX) -c $< $(CXXFLAGS)

#main.o: main.cpp qt_login.h $(UI_FILES) searchPatient.h addUser.h dbclient.h
#	$(CXX) -c $< $(CXXFLAGS)

searchPatient.o: searchPatient.cpp searchPatient.h
	$(CXX) -c $< $(CXXFLAGS)

dbclient.o: dbclient.cpp dbclient.h
	$(CXX) -c $< $(CXXFLAGS)

#moc_addUser.o: moc_addUser.cpp 
#	$(CXX) -c $< $(CXXFLAGS)

#moc_qt_login.o: moc_qt_login.cpp 
#	$(CXX) -c $< $(CXXFLAGS)

moc_searchPatient.o: moc_searchPatient.cpp 
	$(CXX) -c $< $(CXXFLAGS)

#connx2srv.o: connx2srv.cpp
#	$(CXX) -c $< $(CXXFLAGS)
