=== debian/changelog ===
voxbo (1.8.5~svn1172-1) unstable; urgency=low

  * Initial Debian packaging based on debhelper's "dh" and using the new source
    package format 3.0 (quilt). Closes: #579284.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 06 Jun 2010 11:33:11 -0400
