=== debian/control ===
Source: voxbo
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), python, zlib1g-dev, libboost-dev, libboost-thread-dev, libgsl0-dev, libpng12-dev | libpng-dev, libqt4-dev, libxi-dev, libxrender-dev, libfontconfig1-dev | libfontconfig-dev
Standards-Version: 3.8.4
Section: science
Homepage: http://www.voxbo.org
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/voxbo.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/voxbo.git

Package: voxbo
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mni-colin27-nifti
Description: processing, statistical analysis, and display of brain imaging data
 This is a toolkit for analysis of functional neuroimaging (chiefly
 fMRI) experiments and voxel-based lesion-behavior mapping. VoxBo
 supports the modified GLM (for autocorrelated data), as well as the
 standard GLM for non-autocorrelated data. The toolkit is designed to be
 interoperable with AFNI, FSL, SPM and others.
