## voxbo 1.8.5~svn1241

=== lib/Makefile ===
--- 
+++ 
@@ -6,19 +6,18 @@
 
 CXXFLAGS+=$(PICFLAG)
 
-LIBS =$(LIBDIRS) $(LIBPATHS) -lm -lvbprefs -lvbio -lvbutil -lz $(DLLIB) $(GSL_LIBS)
-IOOBJECTS=vbio.o tes.o cube.o imageutils.o mat.o vec.o png.o vb_vector.o\
-          filecheck.o vbpreplib.o
+LIBS =$(LIBDIRS) $(LIBPATHS) -lm -lvbglm -lvbprefs -lvbio -lvbutil -lz $(DLLIB) $(GSL_LIBS)
+IOOBJECTS=vbio.o tes.o cube.o imageutils.o mat.o png.o vb_vector.o\
+          vbpreplib.o
 FFOBJECTS=vbff.o ff_cub.o ff_tes.o ff_ref.o ff_dicom3d.o ff_dicom4d.o dicom.o\
           ff_img3d.o ff_img4d.o ff_imgdir.o\
           ff_nifti3d.o ff_nifti4d.o nifti.o\
-          ff_roi.o analyze.o ff_ge.o ff_vmp3d.o
-UTILOBJECTS=vbutil.o endian.o connect.o tokenlist.o vbreports.o stringtokenizer.o\
-            genericexcep.o
+          ff_roi.o analyze.o ff_ge.o ff_vmp3d.o ff_mat.o
+UTILOBJECTS=vbutil.o endian.o connect.o tokenlist.o vbreports.o genericexcep.o
 SCRIPTOBJECTS=vbscripttools.o vbsequence.o vbdataset.o vbexecdef.o
 VBPOBJECTS=vbjobspec.o vbprefs.o vbhost.o vbx.o
 GLMOBJECTS=makestatcub.o glmutil.o glm_stats.o statthreshold.o regress1.o trialavg.o stats.o
-DBOBJECTS=db_util.o dbdata.o myDB.o mydefs.o dbdate.o bdb_tab.o
+DBOBJECTS=db_util.o dbdata.o mydb.o mydefs.o dbdate.o bdb_tab.o
 
 ifdef VB_SHARED
   EXT=so
@@ -78,15 +77,16 @@
 	ar rc libvbscripts.a $^
 	ranlib libvbscripts.a
 
-libvbscripts.so: $(SCRIPTOBJECTS)
-	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -lc $^
+libvbscripts.so: $(SCRIPTOBJECTS) libvbprefs.so libvbutil.so
+	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -L. -lc -lvbprefs -lvbutil $^
 
 libvbglm.a: $(GLMOBJECTS)
 	ar rc libvbglm.a $^
 	ranlib libvbglm.a
 
-libvbglm.so: $(GLMOBJECTS) libvbio.so libvbutil.so
-	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -L. -lc -lgsl -lvbio -lvbutil $^
+libvbglm.so: $(GLMOBJECTS) libvbio.so libvbutil.so libvbprefs.so
+#	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -L. -lc -lgsl -lvbio -lvbutil -lvbscripts -lvbprefs $^
+	g++ -shared -Wl,-soname,$@ -o $@ $(LDFLAGS) -L. -lc -lgsl -lvbio -lvbutil -lvbprefs $^
 
 libdbutil.a: $(DBOBJECTS)
 	ar rc libdbutil.a $^
@@ -115,8 +115,8 @@
 tokenlist.o: tokenlist.cpp tokenlist.h
 	$(CXX) $(CXXFLAGS) -c tokenlist.cpp
 
-stringtokenizer.o: stringtokenizer.cpp stringtokenizer.h
-	$(CXX) $(CXXFLAGS) -c stringtokenizer.cpp
+# stringtokenizer.o: stringtokenizer.cpp stringtokenizer.h
+# 	$(CXX) $(CXXFLAGS) -c stringtokenizer.cpp
 
 genericexcep.o: genericexcep.cpp genericexcep.h
 	$(CXX) $(CXXFLAGS) -c genericexcep.cpp
@@ -174,6 +174,9 @@
 ff_cub.o: ff_cub.cpp
 	$(CXX) $(CXXFLAGS) -c ff_cub.cpp
 
+ff_mat.o: ff_mat.cpp
+	$(CXX) $(CXXFLAGS) -c ff_mat.cpp
+
 ff_tes.o: ff_tes.cpp
 	$(CXX) $(CXXFLAGS) -c ff_tes.cpp
 
@@ -212,8 +215,8 @@
 
 # db stuff
 
-myDB.o: myDB.h myDB.cpp
-	$(CXX) $(CXXFLAGS) -c myDB.cpp
+mydb.o: mydb.h mydb.cpp
+	$(CXX) $(CXXFLAGS) -c mydb.cpp
 
 dbdate.o: dbdate.h dbdate.cpp
 	$(CXX) $(CXXFLAGS) -c dbdate.cpp
@@ -238,4 +241,4 @@
 # test program
 
 test:	libvbio.a test.cpp libvbprefs.a libvbglm.a libdbutil.a
-	$(CXX) $(CXXFLAGS) -o test test.cpp $(LIBS)
+	$(CXX) $(CXXFLAGS) -o test test.cpp -fopenmp $(LIBS)
