=== debian/changelog ===
voxbo (1.8.5~svn1241-1~nd+1) sid; urgency=low

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 19 Jan 2011 17:30:46 -0500

voxbo (1.8.5~svn1241-1) unstable; urgency=low

  * New upstream code with a number of new manpages.
  * Merged Debian manpage of vbview2 with upstream version (patch submitted).

 -- Michael Hanke <mih@debian.org>  Wed, 19 Jan 2011 14:22:42 -0500

voxbo (1.8.5~svn1222-1) unstable; urgency=low

  * New upstream code.
  * Changed uploader email to mih@debian.org.
  * Add 'get-orig-source' target to debian/rules.
  * Bumped standards-version to 3.9.1, no changes necessary.
  * Install SPM8-related scripts and add matlab-spm8 to suggested packages.

 -- Michael Hanke <mih@debian.org>  Mon, 13 Dec 2010 09:40:31 -0500
